/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 3.0.12
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package it.politecnico.coolprop;

public class SWIGTYPE_p_CoolPropDbl {
  private transient long swigCPtr;

  protected SWIGTYPE_p_CoolPropDbl(long cPtr, @SuppressWarnings("unused") boolean futureUse) {
    swigCPtr = cPtr;
  }

  protected SWIGTYPE_p_CoolPropDbl() {
    swigCPtr = 0;
  }

  protected static long getCPtr(SWIGTYPE_p_CoolPropDbl obj) {
    return (obj == null) ? 0 : obj.swigCPtr;
  }
}

